Bug 565179

Summary: FTBFS krusader-2.0.0-1.1.fc12: ImplicitDSOLinking
Product: [Fedora] Fedora Reporter: FTBFS <ftbfs>
Component: krusaderAssignee: Kevin Kofler <kevin>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: 13CC: kevin, mgarski, mhlavink
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://linux.dell.com/files/fedora/FixBuildRequires/mock-results/
Whiteboard:
Fixed In Version: krusader-2.2.0-0.4.beta1.fc13 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-10 15:04:58 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 593523    
Bug Blocks: 564245, 583278    
Attachments:
Description Flags
root.log
none
build.log
none
mock.log
none
root.log
none
build.log
none
mock.log none

Description FTBFS 2010-02-13 13:09:36 EST
krusader-2.0.0-1.1.fc12.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
This failure is due to a change in the linker default behavior, which uncovered a fault in your package.  See http://fedoraproject.org/wiki/Features/ChangeInImplicitDSOLinking .
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2010-02-13 13:09:40 EST
Created attachment 393986 [details]
root.log

root.log for i386
Comment 2 FTBFS 2010-02-13 13:09:41 EST
Created attachment 393987 [details]
build.log

build.log for i386
Comment 3 FTBFS 2010-02-13 13:09:43 EST
Created attachment 393988 [details]
mock.log

mock.log for i386
Comment 4 FTBFS 2010-02-13 13:09:45 EST
Created attachment 393989 [details]
root.log

root.log for x86_64
Comment 5 FTBFS 2010-02-13 13:09:47 EST
Created attachment 393990 [details]
build.log

build.log for x86_64
Comment 6 FTBFS 2010-02-13 13:09:48 EST
Created attachment 393991 [details]
mock.log

mock.log for x86_64
Comment 7 Bug Zapper 2010-03-15 10:59:17 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Kevin Kofler 2010-05-18 23:52:02 EDT
Do you need a comaintainer for Krusader? I'm willing to sign up and take care of this bug and my RFEs.
Comment 9 Kevin Kofler 2010-06-02 01:29:34 EDT
Ping? Are you still there? Or do we need to consider you nonresponsive as per
https://fedoraproject.org/wiki/Policy_for_nonresponsive_package_maintainers ?
Comment 10 Kevin Kofler 2010-06-03 06:50:53 EDT
Thanks for approving my request for comaintainership. I will take care of this bug.
Comment 11 Kevin Kofler 2010-06-03 08:03:32 EDT
This is fixed in current upstream thanks to the kdewin team:
http://websvn.kde.org/?view=revision&revision=1025920
so my plan is to fix this by updating to 2.2.0-beta1.
Comment 12 Kevin Kofler 2010-06-03 14:46:36 EDT
Fixed for Rawhide in 2.2.0-0.2.beta1.fc14, updates for F11, F12 and F13 now building.
Comment 13 Fedora Update System 2010-06-03 19:32:38 EDT
krusader-2.2.0-0.4.beta1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/krusader-2.2.0-0.4.beta1.fc13
Comment 14 Fedora Update System 2010-06-04 14:49:45 EDT
krusader-2.2.0-0.4.beta1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update krusader'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/krusader-2.2.0-0.4.beta1.fc13
Comment 15 Fedora Update System 2010-06-10 15:04:35 EDT
krusader-2.2.0-0.4.beta1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.